// ClientSetupDlg.h : 헤더 파일
//

#pragma once
#include "afxwin.h"
#include "afxcmn.h"
#include <d3d8.h>


namespace RYLMAINWINDOW
{
	const DWORD		QUICKSLOT_WINDOW			= ( 1 << 0 ) ;
	const DWORD		STATUS_WINDOW				= ( 1 << 1 ) ;
	const DWORD		MINIMAP_WINDOW				= ( 1 << 2 ) ;
	const DWORD		ENCHANT_WINDOW				= ( 1 << 3 ) ;

	const DWORD		ALL_WINDOW					= QUICKSLOT_WINDOW | STATUS_WINDOW | MINIMAP_WINDOW | ENCHANT_WINDOW ;
};

// CClientSetupDlg 대화 상자
class CClientSetupDlg : public CDialog
{
// 생성
public:
	CClientSetupDlg(CWnd* pParent = NULL);	// 표준 생성자

// 대화 상자 데이터
	enum { IDD = IDD_CLIENTSETUP_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원


// 구현
protected:
	HICON m_hIcon;
	HINSTANCE m_hResource;
	char m_strRegRoot[MAX_PATH];
	BOOL m_bInitWindow;

	// 메시지 맵 함수를 생성했습니다.
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnDestroy();
//	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
//	afx_msg void OnNcMouseMove(UINT nHitTest, CPoint point);
	BOOL SetGraphicCard(void);
	BOOL SetResolution(void);
	BOOL SetColor(void);
	BOOL SetRefresh(void);
	void SetPerformance(void);
	unsigned long m_dwOldWidth, m_dwOldHeight;

	int m_iOldResolution;

	void WriteError(unsigned long dwErrorCode);
	BOOL CreateReg(HKEY hReg);
	void AutoDetect(void);
	void SetTabControl(void);
	void InitString(void);
	unsigned long GetQualityBySetting(void);
	void SetSettingByQuality(unsigned long dwQuality);
	void MessageBox(UINT nID);

	CComboBox m_cbVideoCard;
	CComboBox m_cbResolution;
	CComboBox m_cbRefresh;
	CComboBox m_cbColor;
	afx_msg void OnCbnSelchangeComboVideocard();
	afx_msg void OnCbnSelchangeComboMode();
	afx_msg void OnCbnSelchangeComboColor();
	CComboBox m_cbCharShadow;
	CComboBox m_cbScreenEffect;
	CComboBox m_cbHouseShadow;
	CComboBox m_cbTextureQuailty;
	CComboBox m_cbViewRange;
	CComboBox m_cbGrass;
	CComboBox m_cbQuality;
	afx_msg void OnBnClickedOk();
//	afx_msg void OnCbnSelchangeComboQuality();
	afx_msg void OnCbnSelchangeComboRefresh();
	CTabCtrl m_tcControlTab;
	afx_msg void OnTcnSelchangeControltab(NMHDR *pNMHDR, LRESULT *pResult);
	CComboBox m_cbWaterEffect;
	CComboBox m_cbGlowEffect;
	CComboBox m_cbWeatherEffect;
	afx_msg void OnCbnSelchangeComboAbletexture();
	CStatic m_ctrlImage;
	afx_msg void OnBnClickedCancel();
	CComboBox m_cbWindowMode;
	afx_msg void OnCbnSelchangeComboWindowmode();
	afx_msg void OnStnClickedStaticWindowmode();
	CComboBox m_cbLanguage;
	CButton m_btMultiSupport;
};
